/*
  From LOL shield sample sketch
  Font check ( display all charactors )
  for ikkeiplexing shield and Titchaino
  Copyright ikkei 2012.2.28
*/
  
/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include <MsTimer2.h>
#include <ikkeiplexing.h>
#include "iFont.h"

ikkeiplexing iLedSign;
iFont iFont;


#define textnum 224 // ' ' to 0xFF
unsigned char text[textnum];

void setup(){
  iLedSign.Init(IKKEIPLEXING, SINGLE_BUFFER);
  for(int i=0; i<textnum; i++){
    text[i] = ' '+i;
  }
}


void loop(){
  int16_t x=0;
  uint8_t d;
  int textsize = sizeof(text)/sizeof(text[0]);
  for(int16_t j=0;j<textsize;j++) {
    d = iFont.Width(text[j]);
    for(int i=0;i<=d;i++) {
      uint8_t data = iFont.Data(text[j],i);
      iLedSign.Vwrite(15, data);
      delay(100);
      iLedSign.ShiftLeft();
    }  
  }
}


